Prepare Report
curl --request POST \
--url https://{deployment}/v1/incidents/{incident_id}/reports \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"what_changed": "<string>",
"filed_at": "2023-11-07T05:31:56Z",
"filed_to": "<string>"
}
'import requests
url = "https://{deployment}/v1/incidents/{incident_id}/reports"
payload = {
"what_changed": "<string>",
"filed_at": "2023-11-07T05:31:56Z",
"filed_to": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
what_changed: '<string>',
filed_at: '2023-11-07T05:31:56Z',
filed_to: '<string>'
})
};
fetch('https://{deployment}/v1/incidents/{incident_id}/reports', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{deployment}/v1/incidents/{incident_id}/reports",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'what_changed' => '<string>',
'filed_at' => '2023-11-07T05:31:56Z',
'filed_to' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://{deployment}/v1/incidents/{incident_id}/reports"
payload := strings.NewReader("{\n \"what_changed\": \"<string>\",\n \"filed_at\": \"2023-11-07T05:31:56Z\",\n \"filed_to\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://{deployment}/v1/incidents/{incident_id}/reports")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"what_changed\": \"<string>\",\n \"filed_at\": \"2023-11-07T05:31:56Z\",\n \"filed_to\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://{deployment}/v1/incidents/{incident_id}/reports")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"what_changed\": \"<string>\",\n \"filed_at\": \"2023-11-07T05:31:56Z\",\n \"filed_to\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"id": "<string>",
"incident_id": "<string>",
"revision": 123,
"content_hash": "<string>",
"prepared_by": "<string>",
"prepared_at": "2023-11-07T05:31:56Z",
"dossier": {},
"supersedes": "<string>",
"what_changed": "<string>",
"prepared_by_email": "<string>",
"filed_at": "2023-11-07T05:31:56Z",
"filed_to": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Incidents
Prepare Report
Freeze the dossier as a numbered revision.
Who may call it: governance-officer or admin. A workspace API key is refused here: this is an act that belongs to a named person.
POST
/
v1
/
incidents
/
{incident_id}
/
reports
Prepare Report
curl --request POST \
--url https://{deployment}/v1/incidents/{incident_id}/reports \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"what_changed": "<string>",
"filed_at": "2023-11-07T05:31:56Z",
"filed_to": "<string>"
}
'import requests
url = "https://{deployment}/v1/incidents/{incident_id}/reports"
payload = {
"what_changed": "<string>",
"filed_at": "2023-11-07T05:31:56Z",
"filed_to": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
what_changed: '<string>',
filed_at: '2023-11-07T05:31:56Z',
filed_to: '<string>'
})
};
fetch('https://{deployment}/v1/incidents/{incident_id}/reports', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{deployment}/v1/incidents/{incident_id}/reports",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'what_changed' => '<string>',
'filed_at' => '2023-11-07T05:31:56Z',
'filed_to' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://{deployment}/v1/incidents/{incident_id}/reports"
payload := strings.NewReader("{\n \"what_changed\": \"<string>\",\n \"filed_at\": \"2023-11-07T05:31:56Z\",\n \"filed_to\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://{deployment}/v1/incidents/{incident_id}/reports")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"what_changed\": \"<string>\",\n \"filed_at\": \"2023-11-07T05:31:56Z\",\n \"filed_to\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://{deployment}/v1/incidents/{incident_id}/reports")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"what_changed\": \"<string>\",\n \"filed_at\": \"2023-11-07T05:31:56Z\",\n \"filed_to\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"id": "<string>",
"incident_id": "<string>",
"revision": 123,
"content_hash": "<string>",
"prepared_by": "<string>",
"prepared_at": "2023-11-07T05:31:56Z",
"dossier": {},
"supersedes": "<string>",
"what_changed": "<string>",
"prepared_by_email": "<string>",
"filed_at": "2023-11-07T05:31:56Z",
"filed_to": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
Body
application/json
Response
Successful Response
